package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.GoodsOrderCursorMapper;
import com.ruoyi.system.domain.GoodsOrderCursor;
import com.ruoyi.system.service.IGoodsOrderCursorService;

/**
 * 商品订单临时Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class GoodsOrderCursorServiceImpl implements IGoodsOrderCursorService 
{
    @Autowired
    private GoodsOrderCursorMapper goodsOrderCursorMapper;

    /**
     * 查询商品订单临时
     * 
     * @param id 商品订单临时主键
     * @return 商品订单临时
     */
    @Override
    public GoodsOrderCursor selectGoodsOrderCursorById(Long id)
    {
        return goodsOrderCursorMapper.selectGoodsOrderCursorById(id);
    }

    /**
     * 查询商品订单临时列表
     * 
     * @param goodsOrderCursor 商品订单临时
     * @return 商品订单临时
     */
    @Override
    public List<GoodsOrderCursor> selectGoodsOrderCursorList(GoodsOrderCursor goodsOrderCursor)
    {
        return goodsOrderCursorMapper.selectGoodsOrderCursorList(goodsOrderCursor);
    }

    /**
     * 新增商品订单临时
     * 
     * @param goodsOrderCursor 商品订单临时
     * @return 结果
     */
    @Override
    public int insertGoodsOrderCursor(GoodsOrderCursor goodsOrderCursor)
    {
        return goodsOrderCursorMapper.insertGoodsOrderCursor(goodsOrderCursor);
    }

    /**
     * 修改商品订单临时
     * 
     * @param goodsOrderCursor 商品订单临时
     * @return 结果
     */
    @Override
    public int updateGoodsOrderCursor(GoodsOrderCursor goodsOrderCursor)
    {
        return goodsOrderCursorMapper.updateGoodsOrderCursor(goodsOrderCursor);
    }

    /**
     * 批量删除商品订单临时
     * 
     * @param ids 需要删除的商品订单临时主键
     * @return 结果
     */
    @Override
    public int deleteGoodsOrderCursorByIds(Long[] ids)
    {
        return goodsOrderCursorMapper.deleteGoodsOrderCursorByIds(ids);
    }

    /**
     * 删除商品订单临时信息
     * 
     * @param id 商品订单临时主键
     * @return 结果
     */
    @Override
    public int deleteGoodsOrderCursorById(Long id)
    {
        return goodsOrderCursorMapper.deleteGoodsOrderCursorById(id);
    }
}
